package br.usp.poli.java;

/**
 * Representao de uma carta para o jogo de poquer.
 * 
 * @author FLevy
 * @version 1.0
 */
public interface Carta {
	// Os naipes de uma carta
	public final static int OUROS = 0, ESPADAS = 1, COPAS = 2, PAUS = 3;

	// Os valores de uma carta
	public final static int DOIS = 0, TRES = 1, QUATRO = 2, CINCO = 3,
			SEIS = 4, SETE = 5, OITO = 6, NOVE = 7, DEZ = 8, VALETE = 9,
			DAMA = 10, REI = 11, AS = 12;

	/**
	 * Lista com naipes de carta.
	 */
	public final static int[] NAIPES = { OUROS, ESPADAS, COPAS, PAUS };

	/**
	 * Lista com valores de carta.
	 */
	public final static int[] VALORES = { DOIS, TRES, QUATRO, CINCO, SEIS,
			SETE, OITO, NOVE, DEZ, VALETE, DAMA, REI, AS };

	/**
	 * Obtm o naipe da carta.
	 * 
	 * @return O naipe da carta.
	 */
	public int getNaipe();

	/**
	 * Obtm o valor da carta.
	 * 
	 * @return O valor da carta.
	 */
	public int getValor();
	
	/**
	 * Obtm uma representao em String da carta em questo.
	 * 
	 * @return A representao em String.
	 */
	public String toString();
}
