package br.usp.poli.java;

/**
 * Representa um Jogador de Texas Hold'em.
 *
 * @author FLevy
 * @version 1.0
 */
public interface JogadorDeTexasHoldem extends Jogador {
	
	/**
	 * Apresenta o flop (a virada de 3 cartas comunitrias).
	 * 
	 * @param flop1 A primeira carta virada.
	 * @param flop2 A segunda carta virada.
	 * @param flop3 A terceira carta virada.
	 */
	public void flop(Carta flop1, Carta flop2, Carta flop3);
	
	/**
	 * Apresenta o turn (a virada da 4a carta comunitria).
	 * @param turn A carta virada.
	 */
	public void turn(Carta turn);
	
	/**
	 * Apresenta o river (a virada da 5a e ltima carta comunitria).
	 * @param river A carta virada.
	 */
	public void river(Carta river);
}
